Loading...
Searching...
No Matches
L4Re::Video::View::Info Struct Reference

Information structure of a view. More...

`#include <goos>`

Collaboration diagram for L4Re::Video::View::Info:

## Public Member Functions

bool | has_static_buffer () const
| Return whether the view has a static buffer.
bool | has_static_buffer_offset () const
| Return whether the static buffer offset is available.
bool | has_set_buffer () const
| Return whether a buffer is set.
bool | has_set_buffer_offset () const
| Return whether the given buffer offset is valid.
bool | has_set_bytes_per_line () const
| Return whether the given bytes-per-line value is valid.
bool | has_set_pixel () const
| Return whether the given pixel information is valid.
bool | has_set_position () const
| Return whether the position information given is valid.
template<typename OUT>
void | dump (OUT &s) const
| Dump information on the view information to a stream.

## Data Fields

unsigned | flags = 0
| Flags, see Flags and V_flags.
unsigned | view_index = 0
| Index of the view.
unsigned long | xpos = 0
| X position in pixels of the view in the Goos.
unsigned long | ypos = 0
| Y position in pixels of the view in the Goos.
unsigned long | width = 0
| Width of the view in pixels.
unsigned long | height = 0
| Height of the view in pixels.
unsigned long | buffer_offset = 0
| Offset in the memory buffer in bytes.
unsigned long | bytes_per_line = 0
| Bytes per line.
Pixel_info | pixel_info
| Pixel information.
unsigned | buffer_index = 0
| Number of the buffer used for this view.

## Detailed Description

Information structure of a view.

Definition at line 91 of file goos.

The documentation for this struct was generated from the following file:

- l4/re/video/goos